# 项目背景
这是一个基于RuoYi-Vue的共享电动车后台管理系统，主要用于管理车辆、用户、订单等信息。

# 主要框架
- SpringBoot
- MyBatis
- SpringSecurity

# 编码标准
- 保持与现有代码风格一致
- 代码需要具有可读性，注释清晰，后续可拓展
- 生成的代码需要自动导入相关依赖，这点很重要
- 遵循阿里巴巴开发手册

# 项目结构
- 项目结构参考ruoyi-vue
- ruoyi-system 为系统模块，同时也作为业务模块。业务代码放在com.ruoyi.bst包下
- ruoyi-web 为web模块，主要用于提供接口服务
- ruoyi-common 为公共模块，主要用于提供公共工具类
- 业务代码都放在com.ruoyi.bst.{模块名} 包下，具体结构如下：
    - com.ruoyi.bst.{模块名}
        - controller 用于提供接口服务
        - service 用于提供业务逻辑
        - mapper 用于提供数据库操作
        - domain 用于提供数据对象
            - enums 用于提供枚举类
            - vo 用于提供前端展示对象
            - dto 用于提供前后端交互对象
        - constants 用于提供模块级别的常量（如果有）
        - utils 用于提供模块级别的工具类

# 文档规范
- 使用 JavaDoc 格式编写函数和组件的注释
- 适当添加行间注释
