package com.ruoyi.bst.area.domain;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AreaQuery extends AreaVO {

    @ApiModelProperty("创建日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> createDateRange;

    @ApiModelProperty("运营区ID列表")
    private List<Long> ids;

    @ApiModelProperty("关键词")
    private String keyword;    
    
    @ApiModelProperty("半径（米）")
    private BigDecimal radius;

    @ApiModelProperty("中心坐标")
    private List<BigDecimal> center;
}
