package com.ruoyi.bst.order.domain.dto;

import javax.validation.constraints.NotNull;

import com.ruoyi.bst.order.domain.vo.OrderPrePriceVO;
import com.ruoyi.common.core.interfaces.LogBizParam;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class OrderCreateDTO implements LogBizParam {

    @ApiModelProperty("下单用户ID")
    private Long userId;

    @ApiModelProperty("设备ID")
    @NotNull(message = "设备ID不能为空")
    private Long deviceId;

    @ApiModelProperty("套餐ID")
    @NotNull(message = "套餐ID不能为空")
    private Long suitId;

    @ApiModelProperty("APP ID")
    @NotNull(message = "APP ID不能为空")
    private Long appId;

    @ApiModelProperty("支付渠道ID")
    @NotNull(message = "支付渠道ID不能为空")
    private Long channelId;

    @ApiModelProperty("价格信息")
    private OrderPrePriceVO price;

    @Override
    public Object logBizId() {
        return suitId;
    }
}
